Bug 24329 - Patron cardnumber change times are lost during upgrade for bug 3820
Summary: Patron cardnumber change times are lost during upgrade for bug 3820
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: PC All
: P5 - low major (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 3820
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-02 12:43 UTC by Martin Renvoize
Modified: 2020-02-09 21:54 UTC (History)
17 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.08


Attachments
Bug 24329: Correction to updatedatabase (1.74 KB, patch)
2020-01-02 13:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24329: Prevent update of timestamp on action_logs updates (2.07 KB, patch)
2020-01-02 13:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24329: Correction to updatedatabase (1.74 KB, patch)
2020-01-02 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24329: Prevent update of timestamp on action_logs updates (2.13 KB, patch)
2020-01-02 22:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24329: Correction to updatedatabase (1.81 KB, patch)
2020-01-05 22:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24329: Prevent update of timestamp on action_logs updates (2.20 KB, patch)
2020-01-05 22:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24329: Add a test (1.52 KB, patch)
2020-01-05 22:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-01-02 12:43:39 UTC
The DB rev for cardnumber changes on bug 3820 has a side effect of updating the timestamp in the logs - historical changes are going to be lost by this upgrade as they will now all appear to have been done at upgrade time.
Comment 1 Martin Renvoize 2020-01-02 13:03:53 UTC
Created attachment 96739 [details] [review]
Bug 24329: Correction to updatedatabase

Ensure timestamp is not overwriteen during upgrade when applying updates
for bug 3820
Comment 2 Martin Renvoize 2020-01-02 13:03:56 UTC
Created attachment 96740 [details] [review]
Bug 24329: Prevent update of timestamp on action_logs updates
Comment 3 Katrin Fischer 2020-01-02 22:35:56 UTC
Created attachment 96775 [details] [review]
Bug 24329: Correction to updatedatabase

Ensure timestamp is not overwriteen during upgrade when applying updates
for bug 3820
Comment 4 Katrin Fischer 2020-01-02 22:36:02 UTC
Created attachment 96776 [details] [review]
Bug 24329: Prevent update of timestamp on action_logs updates

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-01-05 22:09:13 UTC
Created attachment 96831 [details] [review]
Bug 24329: Correction to updatedatabase

Ensure timestamp is not overwriteen during upgrade when applying updates
for bug 3820

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2020-01-05 22:09:20 UTC
Created attachment 96832 [details] [review]
Bug 24329: Prevent update of timestamp on action_logs updates

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2020-01-05 22:09:28 UTC
Created attachment 96833 [details] [review]
Bug 24329: Add a test

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Martin Renvoize 2020-01-07 22:33:05 UTC
Thanks for adding a test Jonathan.. shame on me for missing that in the initial set.
Comment 9 Martin Renvoize 2020-01-08 11:05:25 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-01-18 15:32:05 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 11 Lucas Gass 2020-02-05 20:58:48 UTC
backported to 19.05.x for 19.05.08
Comment 12 Hayley Mapley 2020-02-09 21:54:29 UTC
Based on enhancement not backported to 18.11.x so will not be backporting to 18.11.x series.